void mouseClicked() {
  if (et != null) {
    if (et.calibratingStage == 1) {
      if (et.fd.focusedFeature) {
        for (int i = 0; i < et.fd.features.length; i++) {
          if ((mouseX-cc.imgCenterX > et.fd.features[i].x) && (mouseX-cc.imgCenterX < et.fd.features[i].x+et.fd.features[i].width) && (mouseY-cc.imgCenterY > et.fd.features[i].y) && (mouseY-cc.imgCenterY < et.fd.features[i].y+et.fd.features[i].height)) {
            et.fd.featurePlane.rect(et.fd.features[i].x, et.fd.features[i].y, et.fd.features[i].width, et.fd.features[i].height);
            et.feature = et.fd.features[i];
            
            et.irisDiameter = feature.width/3;
            et.gg.param2 = feature.width/3;
            et.calibratingStage++;
            break;
          }
        }
      }
    }
  }
}

void mouseWheel(MouseEvent event) {
  if (et.calibratingStage == 1) { //only when detecting features
    et.fd.setTolerance(-event.getCount());
  }
}



boolean ctrl, shft, alt = false;

void keyPressed() {
  switch(keyCode) {
  case 10:  //enter
    if (et.calibratingStage == 0 || et.calibratingStage == 2)
      et.calibratingStage++;
    break;
  case 27: //esc
    exit();
    break;
  case 116: //F5
    et.resetCalib();
    break; 
  case 38: //upaar
    if (ctrl)
      toleranceU++;
    else
      toleranceU--;
    break;
  case 40: //darr
    if (ctrl)
      toleranceD++;
    else
      toleranceD--;
    break;
  case 37: //rarr
    if (ctrl)
      toleranceL++;
    else
      toleranceL--;
    break;
  case 39: //larr
    if (ctrl)
      toleranceR++;
    else
      toleranceR--;
    break;
  case CONTROL:
    ctrl = true;
    break;
  case SHIFT:
    shft = true; 
    break;
  case ALT:
    alt = true; 
    break;
  }
}

void keyReleased() {
  switch (keyCode) {
  case CONTROL:
    ctrl = false;
    break;
  case SHIFT:
    shft = false; 
    break;
  case ALT:
    alt = false; 
    break;
  }
}

void mouseMoved() {
  if (et != null) {
    et.gg.param1 = int(mouseX/(float)width*255)+1;
    et.gg.param2 = int(mouseY/(float)height*80)+1;
  }
}
