

void mouseClicked() {
  if (mouseButton == LEFT) {
    int x = 3*mouseX/width;
    int y = 3*mouseY/height;
    interpretEyeData(x+3*y, true);
  } else {
    ECScreenConstants.setActiveScreen(0);
    previousDir = 4;
  }
}


int measure = 1;                                //count the number of follwing same directions
int lastDir = 4;                                //Direction of previous frame



void evaluateMouseMovement() {                  //evt besser mit ellipsen statt rechtecken simulieren
  int dirX = 3*mouseX/width;                    //x-direction in this frame
  int dirY = 3*mouseY/height;                   //y-direction in this frame

  int dir = 3*dirY + dirX;                      //resulting total direction in this frame
  //text(measure, 90, 90);
  if (lastDir == dir) {                         //only count when direction is the same as last frame; else reset to one
    measure++;
  } else {
    measure = 1;
  }
  if (measure == 3) {                           //when measured same direction 3 times evaluate the data
    interpretEyeData(dir, false);
  }
  text(dir, 500, 90);
  lastDir = dir;                                //save the current direction in lastDir
  
  text(previousDir, 550, 90);
}



String input = "";

//write commands to arduino and textbox
void keyPressed() {
  if (key != '\n') {
    input += key;
    if (keyCode > 69 && keyCode < 127) {
      String a = "";
      a += key;
      textview.append(a);
    }
  } else {
    println("writing \"" + input + "\"");

    try {
      flexSensor.port.write(input + "\n");
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    input = "";
  }
  switch(keyCode) {
  case 37:
    textview.moveCursor(-1);
    break;
  case 39:
    textview.moveCursor(1);
    break;
  }
}




/*void init_input_control() { //initialize the "robot" object
  try { 
    //mouseControl = new Robot();
  }
  catch(AWTException e) { //handle WTException - if the platform configuration does not allow low-level input control. 
    //This exception is always thrown when GraphicsEnvironment.isHeadless() returns true.
    println(e);
  }
}*/
