import java.awt.Point;

Point getCenterOfRect(Rectangle r) {
  int x = r.x+r.width/2;
  int y = r.y+r.height/2;
  return new Point(x, y);
}


//white border
void drawRectNoFill(Rectangle r, PGraphics p) {
  p.beginDraw();
  p.noFill();
  p.stroke(255);
  p.rect(r.x, r.y, r.width, r.height);
  p.endDraw();
}

void drawRectAsIs(Rectangle r, PGraphics p) {
  p.beginDraw();
  p.rect(r.x, r.y, r.width, r.height);
  p.endDraw();
}

void rect(Rectangle r, PGraphics p, boolean fill, color border) {
  p.beginDraw();
  if (fill) {
    p.fill(255);
  } else {
    p.noFill();
  }
  p.stroke(border);
  p.rect(r.x, r.y, r.width, r.height);
  p.endDraw();
}

void rect(Rectangle r) {
  rect(r.x, r.x, r.width, r.height);
}


void text(String text, int size, int x, int y, color clr){
   textSize(size);
   fill(clr);
   text(text, x, y);
}
